Install Development Tools on Centos 6.2

Issues related to applications and software problems

Install Development Tools on Centos 6.2

Postby ruro » 2012/01/18 09:36:26

helppppppppppp...............:-( :-( :-( :-( :-(

on centos 6.2 how to install :
- Development Tools
- Development Libraries
- GNOME Software Development
- KDE Software Development
- X Software Development
- Legacy Software Development
ruro
 
Posts: 8
Joined: 2012/01/12 04:01:13

Install Development Tools on Centos 6.2

Postby toracat » 2012/01/18 09:41:12

Hint: run yum grouplist. Find the groups of interest and use the yum groupinstall command. For more info, man yum.
User avatar
toracat
Forum Moderator
 
Posts: 6694
Joined: 2006/09/03 16:37:24
Location: California, US

Re: Install Development Tools on Centos 6.2

Postby ruro » 2012/01/18 12:50:43

I've tried
Code: Select all
#yum groupinstall "Development Tools" "Development Libraries" "GNOME Software Development" "KDE Software Development" "X Software Development" "Legacy Software Development"


[color=FF0000]BUT I GET[/color]

Code: Select all
# yum groupinstall "Development Tools" "Development Libraries" "GNOME Software Development" "KDE Software Development" "X Software Development" "Legacy Software Development"
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: centos.biz.net.id
 * epel: mirror.nus.edu.sg
 * extras: centos.biz.net.id
 * updates: centos.biz.net.id
Setting up Group Process
Checking for new repos for mirrors
Package flex-2.5.35-8.el6.i686 already installed and latest version
Package gcc-4.4.6-3.el6.i686 already installed and latest version
Package redhat-rpm-config-9.0.3-34.el6.noarch already installed and latest version
Package rpm-build-4.8.0-19.el6.i686 already installed and latest version
Package 1:make-3.81-19.el6.i686 already installed and latest version
Package patch-2.6-6.el6.i686 already installed and latest version
Package 1:pkgconfig-0.23-9.1.el6.i686 already installed and latest version
Package gettext-0.17-16.el6.i686 already installed and latest version
Package automake-1.11.1-1.2.el6.noarch already installed and latest version
Package bison-2.4.1-5.el6.i686 already installed and latest version
Package libtool-2.2.6-15.5.el6.i686 already installed and latest version
Package autoconf-2.63-5.1.el6.noarch already installed and latest version
Package gcc-c++-4.4.6-3.el6.i686 already installed and latest version
Package binutils-2.20.51.0.2-5.28.el6.i686 already installed and latest version
Package patchutils-0.3.1-3.1.el6.i686 already installed and latest version
Package byacc-1.9.20070509-6.1.el6.i686 already installed and latest version
Package indent-2.2.10-5.1.el6.i686 already installed and latest version
Package systemtap-1.6-4.el6.i686 already installed and latest version
Package diffstat-1.51-2.el6.i686 already installed and latest version
Package elfutils-0.152-1.el6.i686 already installed and latest version
Package cvs-1.11.23-11.el6_0.1.i686 already installed and latest version
Package rcs-5.7-37.el6.i686 already installed and latest version
Package subversion-1.6.11-2.el6_1.4.i686 already installed and latest version
Package gcc-gfortran-4.4.6-3.el6.i686 already installed and latest version
Package 1:doxygen-1.6.1-6.el6.i686 already installed and latest version
Package intltool-0.41.0-1.1.el6.noarch already installed and latest version
Package git-1.7.1-2.el6_0.1.i686 already installed and latest version
Package ctags-5.8-2.el6.i686 already installed and latest version
Package cscope-15.6-6.el6.i686 already installed and latest version
Package swig-1.3.40-6.el6.i686 already installed and latest version
[color=990000]Warning: Group development does not have any packages.
Warning: Group Development Libraries does not exist.
Warning: Group GNOME Software Development does not exist.
Warning: Group KDE Software Development does not exist.
Warning: Group X Software Development does not exist.
Warning: Group Legacy Software Development does not exist.[/color]
No packages in any requested group available to install or update
ruro
 
Posts: 8
Joined: 2012/01/12 04:01:13

Re: Install Development Tools on Centos 6.2

Postby pschaff » 2012/01/18 15:39:01

Where did you get that list of groups?
Code: Select all
# yum grouplist | grep Devel
   Additional Development
   Desktop Platform Development
   Development tools
   Server Platform Development
# rpm -q centos-release
centos-release-6-2.el6.centos.7.x86_64
# cat /etc/redhat-release
CentOS release 6.2 (Final)


If more help is needed then please provide more information about your system by running "./getinfo.sh package" and showing us the output file.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: Install Development Tools on Centos 6.2

Postby ruro » 2012/01/19 12:05:29

Thank you very much... :-D :-D :-D :-D

I've successfully by using the command
Code: Select all
yum groupinstall "Additional Development" "Development tools" "Desktop Platform Development" "Server Platform Development"


Thanx all.... :-*
ruro
 
Posts: 8
Joined: 2012/01/12 04:01:13

Re: Install Development Tools on Centos 6.2

Postby ruro » 2012/01/19 12:26:21

I need help again....
I am confused how to install mono on centos 6.2
I've tried to install libgdiplus, mono, n gluezilla but failed.
I downloaded libgdiplus, mono, n gluezilla from

Code: Select all
     - http://ftp.novell.com/pub/mono/sources/libgdiplus/
     - http://ftp.novell.com/pub/mono/sources/mono/
     - http://ftp.novell.com/pub/mono/sources/gluezilla/


and install it with command
Code: Select all
    tar -xvjf libgdiplus-2.10.tar.bz2
    cd libgdiplus-2.10
    ./configure; make; make install

    tar -xvjf mono-2.10.2.tar.bz2
    cd mono-2.10.2
    ./configure; make; make install

    tar -xvjf gluezilla-x.y.tar.bz2
    cd gluezilla-x.y
    ./configure; make; make install


I do not know which one is wrong. :-( :-(
ruro
 
Posts: 8
Joined: 2012/01/12 04:01:13

Re: Install Development Tools on Centos 6.2

Postby pschaff » 2012/01/19 14:27:05

The main thing that is wrong is that you apparently did not do the recommended reading, including Installing Software and Repositories. Note the warnings and advice about installing and configuring the yum priorities plugin. Non-core repos should have a higher numeric value, which is a lower priority. Lower is "better" as in golf scores. Please pay particular attention to the evils of Source Installs. Source installs as root are particularly dangerous.

There is also information linked about how to configure and search repositories. EPEL has mono packages:
Code: Select all
# yum --enablerepo epel list mono\*
Available Packages
mono-core.i686                               2.4.3.1-3.el6                  epel
mono-core.x86_64                             2.4.3.1-3.el6                  epel
mono-data.x86_64                             2.4.3.1-3.el6                  epel
mono-data-firebird.x86_64                    2.4.3.1-3.el6                  epel
mono-data-oracle.x86_64                      2.4.3.1-3.el6                  epel
mono-data-postgresql.x86_64                  2.4.3.1-3.el6                  epel
mono-data-sqlite.x86_64                      2.4.3.1-3.el6                  epel
mono-data-sybase.x86_64                      2.4.3.1-3.el6                  epel
mono-devel.i686                              2.4.3.1-3.el6                  epel
mono-devel.x86_64                            2.4.3.1-3.el6                  epel
mono-extras.x86_64                           2.4.3.1-3.el6                  epel
mono-jscript.x86_64                          2.4.3.1-3.el6                  epel
mono-locale-extras.x86_64                    2.4.3.1-3.el6                  epel
mono-moonlight.x86_64                        2.4.3.1-3.el6                  epel
mono-nunit.x86_64                            2.4.3.1-3.el6                  epel
mono-nunit-devel.i686                        2.4.3.1-3.el6                  epel
mono-nunit-devel.x86_64                      2.4.3.1-3.el6                  epel
mono-wcf.x86_64                              2.4.3.1-3.el6                  epel
mono-web.x86_64                              2.4.3.1-3.el6                  epel
mono-web-devel.i686                          2.4.3.1-3.el6                  epel
mono-web-devel.x86_64                        2.4.3.1-3.el6                  epel
mono-winforms.x86_64                         2.4.3.1-3.el6                  epel
monodoc.x86_64                               2.4.3.1-3.el6                  epel
monodoc-devel.i686                           2.4.3.1-3.el6                  epel
monodoc-devel.x86_64                         2.4.3.1-3.el6                  epel
monotone.x86_64                              1.0-1.el6                      epel
monotone-server.x86_64                       1.0-1.el6                      epel
monotone-viz.x86_64                          1.0.2-3.el6                    epel
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: Install Development Tools on Centos 6.2

Postby ruro » 2012/01/19 22:06:49

I'm so sorry. I;m new on centos...
I just followed the steps from one website to use their software ..

I've tried to install mono-winforms with
Code: Select all
yum install mono-winforms


n i tried run the sofware with
Code: Select all
mono software.name.file.exe


but I get
Code: Select all
Missing method EnableVisualStyles in assembly software.name.file.exe, type System.Windows.Forms.Application 
Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly 'System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies.
File name: 'System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'


please help......... What else should I do to run this software. :-( :-( :-(
thangx b4....
ruro
 
Posts: 8
Joined: 2012/01/12 04:01:13

Re: Install Development Tools on Centos 6.2

Postby pschaff » 2012/01/19 22:35:57

I don't use mono, and it is not part of CentOS, so you would probably be best served by going to a forum or mailing list devoted to mono or consulting their Web page WinForms; however, it looks like you are trying to operate on a Windows executable .exe file. That seems to be a non-starter in any case, but then I'm mono-clueless.

What does
Code: Select all
file software.name.file.exe
show?
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America


Return to CentOS 6 - Software Support

Who is online

Users browsing this forum: No registered users and 7 guests